html {
  width: 100%;
}

body {
    overflow-x: hidden !important;
    font-size: 0.9rem !important;
}

body.show-spinner > main {
  overflow: hidden !important;
}

/* Hide everything under body tag */
body.show-spinner > *{
  opacity: 0 !important;
}

/* Spinner */
body.show-spinner::after{
  content: " ";
  display: inline-block;
  width: 30px;
  height: 30px;
  border: 2px solid rgba(0, 0, 0, 0.2);
  border-radius: 50%;
  border-top-color: rgba(0, 0, 0, 0.3);
  animation: spin 1s ease-in-out infinite;
  -webkit-animation: spin 1s ease-in-out infinite;
  left: calc(50% - 15px);
  top: calc(50% - 15px);
  position: fixed;
  z-index: 1;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

@-webkit-keyframes spin {
  to {
    -webkit-transform: rotate(360deg);
  }
}

.audios
{
  display: none;
}

.dt-buttons
{
  padding-bottom: 1rem !important;
}

#cargando
{
  height: 60px;
  margin: 25px auto;
  width: 100%;
  background:url(../assets/img/global_loader.gif) no-repeat center;
  background-size: cover;
}

.divPermisos
{
    height: 400px !important;
}

.divFiltros
{
    height: 232px !important;
}

.tableDays
{
  height: 500px !important;
}

.divSubPermisos
{
  height: 100px !important;
}

.modal-open .select2-container--open
{
    z-index: 999999 !important; width:100% !important;
}

.bs-actionsbox .btn
{
    padding: .5rem .1rem !important;
    font-size: .6rem !important;
}

.cardNat
{
    border: 1px solid #ececec !important;
    box-shadow: none !important;
}

.cardForza
{
    border: 1px solid #b69329 !important;
    box-shadow: none !important;
}

.cardFalta
{
  border: 1px solid #c43d4b !important;
  box-shadow: none !important;
}

.cardJusty
{
    border: 1px solid #131113 !important;
    box-shadow: none !important;
}

.cardCap
{
    border: 1px solid #3e884f !important;
    box-shadow: none !important;
}

/*.dropdown-menu
{
    position: fixed !important;
}*/

.menu .main-menu ul li a
{
    font-size: 0.75rem !important;
}

.btn
{
    font-size: 0.8rem !important;
}

.text-muted
{
    font-size: 0.9rem !important;
}

textarea.form-control
{
    font-size: 0.85rem;
}

.form-control, .bootstrap-tagsinput
{
    font-size: 0.85rem;
}

.color-theme-5
{
    color: #3e884f;
}

.imgTable
{
    width: 200px !important;
}

#exampleModalRight
{
    z-index: 99999 !important
}

.swal2-container, .td-wrap.td-show
{
    z-index: 1000000 !important
}

.swal2-container
{
    z-index: 1000000 !important
}

.progress-bannerMenu img
{
    width: 50px !important;
}

/* -- File Upload */

.file-upload {
    position: relative;
    height: 8rem;
    margin-bottom: 2rem;
    /*margin-top: 2rem;*/
}

.file-upload .file-upload-input {
    border-radius: .25rem;
    width: 100%;
    border: .125rem dashed rgba(0, 0, 0, .2);
    height: 8rem;
    text-align: center;
    cursor: pointer;
    position: relative;
    display: inline-block;
    padding: 8rem 0 0 0;
    overflow: hidden;
    z-index: 1;
    transition: .3s ease;
}

.file-upload .file-upload-input:hover {
    border-color: rgba(0, 0, 0, .4);
    background-color: rgba(0, 0, 0, .05);
}

.file-upload span {
    position: absolute;
    top: 0;
    bottom: 0;
    line-height: 8rem;
    width: 100%;
    text-align: center;
    margin: auto;
    z-index: 0;
    left: 0;
    color: rgba(0, 0, 0, .5);
}

.file-upload span i {
    color: #4f7dbb;
    margin-right: 1rem;
}

.file-upload-previews > .MultiFile-label {
    border-radius: .1875rem;
    background-color: rgba(0, 0, 0, .03);
    display: inline-block;
    border: .125rem solid rgba(0, 0, 0, .1);
    padding: 1rem;
    position: relative;
    margin-right: 1rem;
    margin-bottom: 1rem;
}

.file-upload-previews span.MultiFile-label {
    box-shadow: 0 .125rem .3125rem rgba(0, 0, 0, .1);
    position: relative;
    text-align: center;
    display: inline-block;
    margin: 1rem;
}

.file-upload-previews span.MultiFile-label .MultiFile-title {
    position: absolute;
    background-color: rgba(0, 0, 0, .4);
    color: #fff;
    padding: 1rem;
    bottom: 0;
    font-size: .75rem;
    text-align: center;
    width: 100%;
}

.file-upload-previews span.MultiFile-label .MultiFile-preview {
    max-width: 14rem !important;
    max-height: 7rem !important;
}

.file-upload-previews2 > .MultiFile-label {
    border-radius: .1875rem;
    background-color: rgba(0, 0, 0, .03);
    display: inline-block;
    border: .125rem solid rgba(0, 0, 0, .1);
    padding: 1rem;
    position: relative;
    margin-right: 1rem;
    margin-bottom: 1rem;
}

.file-upload-previews2 span.MultiFile-label {
    box-shadow: 0 .125rem .3125rem rgba(0, 0, 0, .1);
    position: relative;
    text-align: center;
    display: inline-block;
    margin: 1rem;
}

.file-upload-previews2 span.MultiFile-label .MultiFile-title {
    position: absolute;
    background-color: rgba(0, 0, 0, .4);
    color: #fff;
    padding: 1rem;
    bottom: 0;
    font-size: .75rem;
    text-align: center;
    width: 100%;
}

.file-upload-previews2 span.MultiFile-label .MultiFile-preview {
    max-width: 14rem !important;
    max-height: 7rem !important;
}

.file-upload-previewsUser > .MultiFile-label {
    border-radius: .1875rem;
    background-color: rgba(0, 0, 0, .03);
    display: inline-block;
    border: .125rem solid rgba(0, 0, 0, .1);
    padding: 1rem;
    position: relative;
    margin-right: 1rem;
    margin-bottom: 1rem;
}

.file-upload-previewsUser span.MultiFile-label {
    box-shadow: 0 .125rem .3125rem rgba(0, 0, 0, .1);
    position: relative;
    text-align: center;
    display: inline-block;
    margin: 1rem;
}

.file-upload-previewsUser span.MultiFile-label .MultiFile-title {
    position: absolute;
    background-color: rgba(0, 0, 0, .4);
    color: #fff;
    padding: 1rem;
    bottom: 0;
    font-size: .75rem;
    text-align: center;
    width: 100%;
}

.file-upload-previewsUser span.MultiFile-label .MultiFile-preview {
    max-width: 14rem !important;
    max-height: 7rem !important;
}

.file-uploaded-images .image {
    height: 15rem;
    display: inline-block;
    margin-bottom: 1.8rem;
    margin-right: 1.5rem;
    position: relative;
}

.file-uploaded-images .image figure {
    box-shadow: 0 .125rem .3125rem rgba(0, 0, 0, .1);
    border-radius: 50%;
    cursor: pointer;
    background-color: red;
    width: 2rem;
    height: 2rem;
    position: absolute;
    right: -1rem;
    top: -1rem;
    content: "";
    text-align: center;
    line-height: 1.5rem;
}

.file-uploaded-images .image figure i {
    color: #fff;
    font-size: 1rem;
}

.file-uploaded-images .image img {
    height: 100%;
}

.file-uploaded-images .image {
    box-shadow: 0 .125rem .3125rem rgba(0, 0, 0, .1);
    height: 10rem;
    display: inline-block;
    margin-bottom: 1rem;
    margin-right: 1rem;
    position: relative;
}

.file-uploaded-images .image figure {
    box-shadow: 0 .125rem .3125rem rgba(0, 0, 0, .1);
    border-radius: 50%;
    cursor: pointer;
    background-color: red;
    width: 1.5rem;
    height: 1.5rem;
    position: absolute;
    right: -0.75rem;
    top: -0.75rem;
    content: "";
    text-align: center;
    line-height: 1.375rem;
}

.file-uploaded-images .image figure i {
    color: #fff;
    font-size: .75rem;
}

.file-uploaded-images .image img {
    height: 100%;
}

.MultiFile-remove {
    line-height: .625rem !important;
}

.ts-remove, .MultiFile-remove {
    box-shadow: 0 .125rem .3125rem rgba(0, 0, 0, .1);
    border-radius: 50%;
    color: transparent;
    position: absolute;
    background-color: red;
    width: 2rem;
    height: 2rem;
    line-height: 2rem;
    text-align: center;
    top: -1rem;
    right: 1rem;
    z-index: 1;
}

.ts-remove:after, .MultiFile-remove:after {
    display: block;
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    content: "\f00d";
    color: #fff;
    font-size: 1rem;
}

.fixed-backgroundSol
{
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.fixed-backgroundSolLog
{
    background: url("../../admin/img/panel.jpeg") no-repeat center center fixed;
    background-size: cover !important;
    opacity: 0.5 !important;
}

.fixed-backgroundSolTrue
{
    background: url("../../admin/img/panel.jpeg") no-repeat center center fixed;
    background-size: cover !important;
    opacity: 0.5 !important;
}

.banner1
{
    background: url("../../admin/img/usuarios.jpg") no-repeat top center !important;
    background-size: cover !important;
}

.banner2
{
    background: url("../../admin/img/precios.jpg") no-repeat top center !important;
    background-size: cover !important;
}

.banner3
{
    background: url("../../admin/img/preformatos.jpg") no-repeat top center !important;
    background-size: cover !important;
}

.banner4
{
    background: url("../../admin/img/resultados.jpg") no-repeat top center !important;
    background-size: cover !important;
}

.banner5
{
    background: url("../../admin/img/dir_docs.jpg") no-repeat top center !important;
    background-size: cover !important;
}

/*.banner4
{
    background: url("../../admin/img/gastos.png") no-repeat top center !important;
    background-size: cover !important;
}*/

.divCatFil, .divCatalogo, .divFormCatalogo, #DataTables_Table_0_length, #DataTables_Table_0_info, #DataTables_Table_0_previous,
#DataTables_Table_0_next, .dataTables_wrapper .dataTables_filter input,
.dataTables_wrapper .dataTables_length select, .dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter,
.dataTables_wrapper .dataTables_info,
.dataTables_wrapper .dataTables_processing,
.dataTables_wrapper .dataTables_paginate,
.divFormCatalogo .input-group i,
div.dtsp-topRow input.dtsp-search::placeholder,
.dtsp-caret, .dtsp-clearAll, .dtsp-showAll, .dtsp-collapseAll,
.dataTables_wrapper .dataTables_paginate .paginate_button
{
    color: #fff !important;
}

.tableOrder tbody, .tableReport tbody, .dtsp-name
{
    color: #614728;
}


div.dropdown.bootstrap-select
{
    background: transparent !important;
    border: transparent !important;
}

.btnsShort
{
    padding: 0.2rem 0.5rem !important;
    font-size: 0.7rem !important;
}

.btnsShortMove
{
    cursor: pointer !important;
}

.inpNumber
{
    border: 1px solid #193a60 !important
}

.bootstrap-duallistbox-container:not(.moveonselect) select,
.select2-container--bootstrap .select2-results__option
{
    color: #193a60 !important;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody
{
    min-height: 280px !important;
}

.detOpt div.card
{
    background: #fff;
    height: auto !important;
}

.pDetOpt
{

}

.cardLg
{
    background: #2f4d6f !important;
}